listIntegrations
List integrations, supports filtering and sorting capabilities
GET
/v1/admin/integrationsAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-workspace-idstringWorkspace ID
x-multiple-integrations?stringWhether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Query parameters
nextToken?stringProvide the `meta.nextToken` value provided in the last API response to retrieve the next page of results
pageSize?integerNumber of items to return per page (default 20, max 100)
limit?numberMaximum number of results to return per page
name?stringIntegration Name
version?stringIntegration version. Either a semver version or tag "latest"
interfaceId?stringFilter integrations by implemented interface ID
interfaceName?stringFilter integrations by implemented interface name (strict match)
installedByBotId?stringBot ID. Required when filtering for installed integrations
verificationStatus?enum<string>Filter integrations by verification status
Available options:
"unapproved","pending","approved","rejected"search?stringSearch integrations by name, description, actions, and interfaces. Responses include a matchedOn field indicating which fields matched the search.
sortBy?enum<string>Sort integrations by field
Available options:
"popularity","name","createdAt","updatedAt","installCount"direction?enum<string>Sort direction (asc or desc)
Available options:
"asc","desc"visibility?enum<string>Filter integrations by visibility (public, private)
Available options:
"public","private"dev?booleanIf true, only dev integrations are returned. Otherwise, only production integrations are returned.
Response
Success
integrationsobject[]metaobject